Subject: Re: [PATCH v2] bonding: send IPv6 neighbor advertisement on failover

From: Vlad Yasevich <[email-masked]>
Date: Fri, 10 Oct 2008 13:15:08 -0400

Sridhar Samudrala wrote:
> On Fri, 2008-10-10 at 12:29 -0400, Vlad Yasevich wrote:
>> Brian Haley wrote:
>>> Jay Vosburgh wrote:
>>>>     As a semi-related question, what does IPv6 do if it receives a
>>>> gratutitous NA, and finds a duplicate?
> 
> I think Jay was asking about the case where the target address in the NA 
> matches the address of the receiving interface. The RFCs don't describe
> how to handle such a case and leave it to the implementation. Linux logs
> a warning message and ignores such NA.
> 

Yes, but in this case, you have duplicate addresses configured.  This
can happen when subnets merge and isn't really related to bonding driver.

In such a case, if we do an NS, it will trigger an NA and we'll end up
logging such a warning.  If we do an NA, the other end, if it's linux, will
log this warning, or deal with it in its own manner.

So, it's really a draw.

-vlad

> Thanks
> Sridhar
> 
>>> If a node has an IPv6 neighbor entry and receives an unsolicited NA it
>>> will change it's state to stale, forcing a re-lookup on the next
>>> transmit.  An un-solicited NA will change the state to reachable.
>>                 ^^^^^^^^^^^^
>>
>> You probably meant to say "solicited".  Unsolicited NAs can only change
>> the state to STALE.
>>
>> Also, the re-lookup will happen on a delay after the transmit.
>>
>> -vlad
> 
>